Skip to content

Returns the results for a part within a job

GET /api/workflows/{workflowIdentity}/jobs/{jobIdentity}/parts/{plmPartIdentity}/results

Parameters

Type Name Description Schema
Path jobIdentity (required) jobIdentity string
Path plmPartIdentity (required) plmPartIdentity string
Path workflowIdentity required workflowIdentity string

Responses

HTTP Code Description Schema
200 OK WorkflowJob
400 Bad Request No Content
401 Unauthorized No Content
403 Forbidden No Content
404 Resource Not Found No Content
409 Conflict when job is not in terminal state No Content
415 Unsupported Media Type No Content

Note:

The response body will include all User Defined Attributes (UDAs) defined in your workflow setup. This ensures that all custom attributes set in your costing inputs are fully represented in the results.

Produces

  • application/json;charset=UTF-8

Tags

  • Workflow

Security

Type Name
apiKey Shared Secret
apiKey JWT Bearer